# -*- coding: utf-8 -*-
from math import cos, sin 
from opt_params import par 

g = 9.81 

def fdxdt(yy, uu):
    [    v_vnu,    omega,    v_L,    x_car,    theta,    L] = yy
    [F_car,F_load,M_car,M_load,cfr_car,cfr_load,cfr_kela] = uu
    dxdt =[ (F_car + F_load*sin(theta) - 2.0*cfr_car*v_vnu -
    2.0*cfr_kela*v_L*sin(theta))/M_car, (-F_car*M_load*cos(theta) - 0.5*F_load*M_load*sin(2.0*theta) -
    2.0*L*M_car*cfr_load*omega - M_car*M_load*g*sin(theta) -
    2.0*M_car*M_load*omega*v_L - 2.0*M_car*cfr_load*v_vnu*cos(theta) +
    2.0*M_load*cfr_car*v_vnu*cos(theta) +
    M_load*cfr_kela*v_L*sin(2.0*theta))/(L*M_car*M_load), -F_car*sin(theta)/M_car - F_load/M_load - F_load*sin(theta)**2/M_car
    + L*omega**2 + g*cos(theta) + 2.0*cfr_kela*v_L/M_load -
    2.0*cfr_load*v_L/M_load - 2.0*cfr_load*v_vnu*sin(theta)/M_load +
    2.0*cfr_car*v_vnu*sin(theta)/M_car +
    2.0*cfr_kela*v_L*sin(theta)**2/M_car, v_vnu, omega, v_L]
    return dxdt
#####################
def Flukko(yy, uu):
    [F_car,F_load,M_car,M_load,cfr_car,cfr_load,cfr_kela] = uu
    return     M_load*g
